PelekaPeleka Developers
API ReferenceBroadcasts

Update a broadcast

PATCH
/api/v1/broadcasts/{id}
X-API-Key<token>

In: header

Path Parameters

id*string

Broadcast UUID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/api/v1/broadcasts/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "550e8400-e29b-41d4-a716-446655440000",  "workspaceId": "550e8400-e29b-41d4-a716-446655440000",  "name": "Summer Sale Announcement",  "status": "draft",  "subject": "Our biggest sale of the year 🎉",  "previewText": "Preview of what's inside...",  "fromName": "Peleka Team",  "fromEmail": "[email protected]",  "audienceType": "all",  "audienceFilter": {    "ids": []  },  "blocks": [],  "theme": "modern",  "footerStyles": {},  "sentCount": 0,  "createdAt": "2026-01-01T00:00:00.000Z",  "updatedAt": "2026-01-01T00:00:00.000Z"}